GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "7d13cead-fff3-4681-b4b3-cc8de6ea16e8",
"Asset": {
"AssetId": "8152803d-9aa2-4194-a174-b7c60c3b7bbe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "4c3a2aea-b4d9-4b8d-8d97-24efe3cd63a3",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"MeasurementValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "40284f03-ac35-4eab-b25b-38a147e8077b",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"MeasurementValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "a25e136a-e961-4b7a-8d19-1b807c8db120",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "3e7889a6-258f-4198-9e73-16869d1f63c3",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "cbe6e8a1-80b2-46f8-9450-3359cfbd20a5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-11T02:00:26.594875-08:00",
"Location": "sample string 1",
"TaskId": "f3269648-9eed-44e9-a35d-1ff65c5df560",
"Values": [
{
"FormFieldValueId": "5bd5800e-1e7f-4432-bd53-e5f4d594e543",
"FormId": "705b386d-da45-4ea6-b46d-4d4708d43cdf",
"FormTypeField": {
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"FormType": {
"FormTypeId": "3e7889a6-258f-4198-9e73-16869d1f63c3",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cbe6e8a1-80b2-46f8-9450-3359cfbd20a5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "5bd5800e-1e7f-4432-bd53-e5f4d594e543",
"FormId": "705b386d-da45-4ea6-b46d-4d4708d43cdf",
"FormTypeField": {
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"FormType": {
"FormTypeId": "3e7889a6-258f-4198-9e73-16869d1f63c3",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cbe6e8a1-80b2-46f8-9450-3359cfbd20a5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "24dc611e-8143-4a3b-a076-4c5abd581719",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "7d13cead-fff3-4681-b4b3-cc8de6ea16e8",
"Asset": {
"AssetId": "8152803d-9aa2-4194-a174-b7c60c3b7bbe",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "4c3a2aea-b4d9-4b8d-8d97-24efe3cd63a3",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"MeasurementValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "40284f03-ac35-4eab-b25b-38a147e8077b",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"MeasurementValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "a25e136a-e961-4b7a-8d19-1b807c8db120",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "3e7889a6-258f-4198-9e73-16869d1f63c3",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "cbe6e8a1-80b2-46f8-9450-3359cfbd20a5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-11-11T02:00:26.594875-08:00",
"Location": "sample string 1",
"TaskId": "f3269648-9eed-44e9-a35d-1ff65c5df560",
"Values": [
{
"FormFieldValueId": "5bd5800e-1e7f-4432-bd53-e5f4d594e543",
"FormId": "705b386d-da45-4ea6-b46d-4d4708d43cdf",
"FormTypeField": {
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"FormType": {
"FormTypeId": "3e7889a6-258f-4198-9e73-16869d1f63c3",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cbe6e8a1-80b2-46f8-9450-3359cfbd20a5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "5bd5800e-1e7f-4432-bd53-e5f4d594e543",
"FormId": "705b386d-da45-4ea6-b46d-4d4708d43cdf",
"FormTypeField": {
"FormTypeFieldId": "8a9559b8-087f-404a-9285-a90709b830bf",
"FormType": {
"FormTypeId": "3e7889a6-258f-4198-9e73-16869d1f63c3",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "061e3514-6c10-4647-9766-4588606c65ae",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "eaa568cf-28a1-4c3e-9a20-c4022e66b9d5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-11-11T02:00:26.594875-08:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "cbe6e8a1-80b2-46f8-9450-3359cfbd20a5",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "59346bdf-c934-4816-94b7-f1c824fb6705",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "e35b4d49-88df-4cd8-85cf-4d1278ec1697",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "ae8e3417-b383-438e-8db1-532dcf2b3a7e",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d11685ab-d83d-4a8a-bb9e-1080d371540d",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "4081fc3e-bd94-4e3f-aa38-2a7b2bec0458",
"FieldId": "5bad54ce-22e2-4080-a80e-260c11f00046",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "24dc611e-8143-4a3b-a076-4c5abd581719",
"CreateDate": "2026-11-11T02:00:26.594875-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-11T02:00:26.594875-08:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}